<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <title>Hello, world!</title>
  </head>
  <body>
    <div class="container">   
      <div class="row">
        <div class="col">
          <div class="jumbotron">
            <h1 class="display-4">
              List of from objects
            </h1>
          </div>
          <form>
            <div class="row">
              <div class="col-4">
                input
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="exampleFormControlInput1">Name</label>
                  <input type="email" class="form-control" 
                  id="exampleFormControlInput1" placeholder="Enter my name">
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                password input
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="exampleFormControlInput1">Password</label>
                  <input type="email" class="form-control" 
                  id="exampleFormControlInput1" placeholder="This is password">
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                selector
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="exampleFormControlSelect1">
                    The value of selector is number
                  </label>
                  <select class="form-control" id="exampleFormControlSelect1">
                    <option>
                      Open this select menu. There are one, two, and three.
                    </option>
                    <option>One</option>
                    <option>Two</option>
                    <option>Three</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                text area
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="exampleFormControlTextarea1">
                    Example textarea
                  </label>
                  <textarea class="form-control"
                   id="exampleFormControlTextarea1" rows="3">
                  </textarea>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                file selection
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="exampleFormControlFile1">
                    Example file input
                  </label>
                  <div class="input-group">
                    <div class="custom-file">
                      <input type="file" class="custom-file-input" id="inputGroupFile01"
                        aria-describedby="inputGroupFileAddon01">
                      <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                    </div>
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="inputGroupFileAddon01">Upload</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                read only text
              </div>
              <div class="col-8">
                <div class="form-group">
                  <input class="form-control" type="text"
                   placeholder="Readonly input here…" readonly>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                radio button
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="">List of radio box</label>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" 
                    name="exampleRadios" id="exampleRadios1" 
                    value="option1" checked>
                    <label class="form-check-label" for="exampleRadios1">
                      Default radio
                    </label>
                  </div>
                  <div class="form-check">
                    <input class="form-check-input" type="radio" 
                    name="exampleRadios" id="exampleRadios2" 
                    value="option2">
                    <label class="form-check-label" for="exampleRadios2">
                      Second default radio
                    </label>
                  </div>
                  <div class="form-check disabled">
                    <input class="form-check-input" type="radio" 
                    name="exampleRadios" id="exampleRadios3" 
                    value="option3" disabled>
                    <label class="form-check-label" for="exampleRadios3">
                      Disabled radio
                    </label>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-4">
                check box
              </div>
              <div class="col-8">
                <div class="form-group">
                  <label for="">Check list</label>
                  <div class="form-check form-check-inline">
                    <input class="form-check-input" type="checkbox" 
                    id="inlineCheckbox1" value="option1">
                    <label class="form-check-label" for="inlineCheckbox1">
                      1
                    </label>
                  </div>
                  <div class="form-check form-check-inline">
                    <input class="form-check-input" type="checkbox"
                    id="inlineCheckbox2" value="option2">
                    <label class="form-check-label" for="inlineCheckbox2">
                      2
                    </label>
                  </div>
                  <div class="form-check form-check-inline">
                    <input class="form-check-input" type="checkbox" 
                    id="inlineCheckbox3" value="option3" disabled>
                    <label class="form-check-label" for="inlineCheckbox3">
                      3 (disabled)
                    </label>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div> 
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>